/**
 * @param {string} ip
 * @return {number}
 */
function parseIp(ip) {
  const parts = ip.split('.').map(x => parseInt(x, 10));
  return (
    (parts[0] << 24) |
    (parts[1] << 16) |
    (parts[2] << 8) |
    (parts[3])
  )
}

exports.parseIp = parseIp;
