function time() {
  return Math.floor(Date.now()/1000);
}
exports.time = time;

function wait(ms) {
  return new Promise(resolve => setTimeout(resolve, ms));
}
exports.wait = wait;

function defer() {
  const d = {};
  d.promise = new Promise(function(resolve, reject) {
    d.reject = reject;
    d.resolve = resolve;
  });
  return d;
}
exports.defer = defer;
